org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectOnConditionComparison

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectOnConditionComparison

Interface declaring the target column comparison relationship.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectFromAndJoinCondition` `equals(Expression column)` Declare an equals `Condition` between the source column and the target `Column`.

### Method Detail

#### equals

    SelectBuilder.SelectFromAndJoinCondition equals(Expression column)

Declare an equals `Condition` between the source column and the target `Column`.

Parameters:
  `column` - the target column, must not be null.
Returns:
  `this` builder.
See Also:
  `Table.column(String)`